Subject: [secdir] Review of draft-ietf-ospf-hmac-sha-06.txt

From: "Hilarie Orman" <[email-masked]>
Date: Wed, 26 Aug 2009 17:47:33 -0600

Review of draft-ietf-ospf-hmac-sha-06.txt

Do not be alarmed.  I have reviewed this document as part of the
security directorate's ongoing effort to review all IETF documents
being processed by the IESG. These comments were written primarily for
the benefit of the security area directors.  Document editors and WG
chairs should treat these comments just like any other last call
comments.

My only comment on this greatly improved document concerns the last
paragraph of section 4:

   Use of full digital signatures would ...
   eliminat[e] the replay issue that was noted above.

Replay can remain a problem even with signed data, can't it?  I think
that two-way communication is may be a requirement for eliminating the
possibility of replay.

Hilarie